org.jboss.netty.channel

## Class DefaultChildChannelStateEvent

- java.lang.Object
- - org.jboss.netty.channel.DefaultChildChannelStateEvent

All Implemented Interfaces:
  ChannelEvent, ChildChannelStateEvent

    public class DefaultChildChannelStateEvent
    extends Object
    implements ChildChannelStateEvent

The default `ChildChannelStateEvent` implementation.

### Constructor Summary

Constructors
Constructor and Description
`DefaultChildChannelStateEvent(Channel parentChannel, Channel childChannel)` Creates a new instance.

### Method Summary

Methods
`Channel` `getChannel()` Returns the parent `Channel` which is associated with this event.
`Channel` `getChildChannel()` Returns the child `Channel` whose state has been changed.
`ChannelFuture` `getFuture()` Returns the `ChannelFuture` which is associated with this event.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultChildChannelStateEvent

    public DefaultChildChannelStateEvent(Channel parentChannel,
                                 Channel childChannel)

Creates a new instance.

### Method Detail

#### getChannel

    public Channel getChannel()

Description copied from interface: `ChildChannelStateEvent`
Returns the parent `Channel` which is associated with this event. Please note that you should use `ChildChannelStateEvent.getChildChannel()` to get the `Channel` created or accepted by the parent `Channel`.

Specified by:
  `getChannel` in interface `ChannelEvent`
Specified by:
  `getChannel` in interface `ChildChannelStateEvent`

#### getFuture

    public ChannelFuture getFuture()

Description copied from interface: `ChannelEvent`
Returns the `ChannelFuture` which is associated with this event. If this event is an upstream event, this method will always return a `SucceededChannelFuture` because the event has occurred already. If this event is a downstream event (i.e. I/O request), the returned future will be notified when the I/O request succeeds or fails.

Specified by:
  `getFuture` in interface `ChannelEvent`

#### getChildChannel

    public Channel getChildChannel()

Description copied from interface: `ChildChannelStateEvent`
Returns the child `Channel` whose state has been changed.

Specified by:
  `getChildChannel` in interface `ChildChannelStateEvent`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`